variables:
  VCS_FILE: autoware.ai.repos
  #CI_DEBUG_TRACE: "true"
  AUTOWARE_CROSS_TARGET_PLATFORM: generic-aarch64

.build: &build_common
  before_script:
    - sudo apt-get update
    # Use UTC for tzdata
    - DEBIAN_FRONTEND=noninteractive sudo apt-get install -y tzdata
    - sudo apt-get install -y gnupg2 lsb-release gcc g++ dpkg python-rosdep
    - sudo apt-get install -y python3-pip python3-setuptools python3-vcstool python3-colcon-common-extensions
    # Update setuptools from PyPI because the version Ubuntu ships with is too old

    - rosdep update
    - sudo apt install -y ros-melodic-velodyne-pointcloud
    - rosdep install -y --from-paths src --ignore-src --rosdistro ${ROS_DISTRO}
  script:
    # We first build the entire workspace normally
    - source /opt/ros/${ROS_DISTRO}/setup.bash


.build_cross_vars: &build_cross_vars
    AUTOWARE_TARGET_ARCH: aarch64
    AUTOWARE_TOOLCHAIN_FILE_PATH: $CI_PROJECT_DIR/cross_toolchain.cmake
    AUTOWARE_SYSROOT: /sysroot/${AUTOWARE_CROSS_TARGET_PLATFORM}

.build_cross_script: &build_cross_script
  script:
    - apt-get update && apt-get install -y python3-vcstool git wget build-essential
    - wget https://gitlab.com/autowarefoundation/autoware.ai/docker/raw/master/crossbuild/cross_toolchain.cmake

build_melodic:
  stage: build
  image: autoware/autoware:bleedingedge-melodic-base
  <<: *build_common
  only:
    - master
    - merge_requests
